## EphyZoomControl EphyZoomControl |

## Synopsis

                        EphyZoomControl;
    void                ephy_zoom_control_set_zoom_level    (EphyZoomControl *control,
                                                             float zoom);
    float               ephy_zoom_control_get_zoom_level    (EphyZoomControl *control);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkToolItem
                                           +----EphyZoomControl

## Implemented Interfaces

EphyZoomControl implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Properties

      "zoom"                     gfloat                : Read / Write

## Signals

      "zoom-to-level"                                  : Run Last

## Description

## Details

### EphyZoomControl

    typedef struct _EphyZoomControl EphyZoomControl;

### ephy_zoom_control_set_zoom_level ()

    void                ephy_zoom_control_set_zoom_level    (EphyZoomControl *control,
                                                             float zoom);

Sets the zoom level of `control`.

`control` : | an EphyZoomControl
`zoom` : | the new value for the zoom level

### ephy_zoom_control_get_zoom_level ()

    float               ephy_zoom_control_get_zoom_level    (EphyZoomControl *control);

Get the current zoom level of `control`.

`control` : | an EphyZoomControl
Returns : | the zoom level as a float

## Property Details

### The `"zoom"` property

      "zoom"                     gfloat                : Read / Write

Allowed values: [0.707107,4]

Default value: 1

## Signal Details

### The `"zoom-to-level"` signal

    void                user_function                      (EphyZoomControl *ephyzoomcontrol,
                                                            gfloat           arg1,
                                                            gpointer         user_data)            : Run Last

`ephyzoomcontrol` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.